View | Details | Raw Unified | Return to bug 70149
Collapse All | Expand All

(-)rkhunter/Makefile (-2 / +2 lines)
Lines 6-16 Link Here
6
#
6
#
7
7
8
PORTNAME=	rkhunter
8
PORTNAME=	rkhunter
9
PORTVERSION=	1.1.3
9
PORTVERSION=	1.1.4
10
CATEGORIES=	security
10
CATEGORIES=	security
11
MASTER_SITES=	http://downloads.rootkit.nl/
11
MASTER_SITES=	http://downloads.rootkit.nl/
12
12
13
MAINTAINER=	ports@FreeBSD.org
13
MAINTAINER=	bugghy@SAFe-mail.net
14
COMMENT=	Rootkit detection tool
14
COMMENT=	Rootkit detection tool
15
15
16
RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Digest/SHA1.pm:${PORTSDIR}/security/p5-Digest-SHA1
16
RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Digest/SHA1.pm:${PORTSDIR}/security/p5-Digest-SHA1
(-)rkhunter/distinfo (-2 / +2 lines)
Lines 1-2 Link Here
1
MD5 (rkhunter-1.1.3.tar.gz) = 62271204de0fa0d2bf1b8489b1458dc7
1
MD5 (rkhunter-1.1.4.tar.gz) = 08938c110c8363c62c82dad0571517d0
2
SIZE (rkhunter-1.1.3.tar.gz) = 98309
2
SIZE (rkhunter-1.1.4.tar.gz) = 102147
(-)rkhunter/files/patch-installer.sh (-25 / +11 lines)
Lines 1-22 Link Here
1
--- installer.sh.orig	Sun Jul 25 16:20:28 2004
1
--- installer.sh.old	Sun Aug  8 00:16:28 2004
2
+++ installer.sh	Sun Jul 25 17:19:48 2004
2
+++ installer.sh	Sun Aug  8 00:21:52 2004
3
@@ -69,6 +69,7 @@
3
@@ -120,15 +120,12 @@
4
           ;;
4
 overwrite:programs_good.dat:/db/programs_good.dat:Database%%Program%%versions
5
       *)
6
           echo "Wrong parameter"
7
+          exit
8
 	  ;;
9
   esac
10
   shift
11
@@ -111,21 +112,18 @@
12
 overwrite:check_port.pl:/scripts/check_port.pl:Portscanner
13
 overwrite:filehashmd5.pl:/scripts/filehashmd5.pl:MD5%%Digest%%generator
14
 overwrite:filehashsha1.pl:/scripts/filehashsha1.pl:SHA1%%Digest%%generator
15
-verwrite:showfiles.pl:/scripts/showfiles.pl:Directory%%viewer
16
+overwrite:showfiles.pl:/scripts/showfiles.pl:Directory%%viewer
17
 overwrite:backdoorports.dat:/db/backdoorports.dat:Database%%Backdoor%%ports
18
 overwrite:mirrors.dat:/db/mirrors.dat:Database%%Update%%mirrors
19
 overwrite:os.dat:/db/os.dat:Database%%Operating%%Systems
20
 overwrite:defaulthashes.dat:/db/defaulthashes.dat:Database%%Default%%file%%hashes
5
 overwrite:defaulthashes.dat:/db/defaulthashes.dat:Database%%Default%%file%%hashes
21
 overwrite:md5blacklist.dat:/db/md5blacklist.dat:Database%%MD5%%blacklisted%%files
6
 overwrite:md5blacklist.dat:/db/md5blacklist.dat:Database%%MD5%%blacklisted%%files
22
-overwrite:CHANGELOG:/docs/CHANGELOG:Changelog
7
-overwrite:CHANGELOG:/docs/CHANGELOG:Changelog
Lines 33-39 Link Here
33
 "
18
 "
34
 
19
 
35
 # Create directories (only if they do not exist)
20
 # Create directories (only if they do not exist)
36
@@ -134,10 +132,7 @@
21
@@ -137,10 +134,7 @@
37
 ${INSTALLDIR}/etc
22
 ${INSTALLDIR}/etc
38
 ${INSTALLDIR}/bin
23
 ${INSTALLDIR}/bin
39
 ${INSTALLDIR}/lib/rkhunter/db
24
 ${INSTALLDIR}/lib/rkhunter/db
Lines 44-59 Link Here
44
 "
29
 "
45
 
30
 
46
 CHECKDIR="/usr/local"
31
 CHECKDIR="/usr/local"
47
@@ -345,8 +340,6 @@
32
@@ -347,9 +341,6 @@
33
 #################################################################################
48
 
34
 
49
 
35
 
50
 # Clean active window
36
-# Clean active window
51
-clear
37
-clear
52
-
38
-
53
 echo "${INSTALLER_NAME} ${INSTALLER_VERSION} (${INSTALLER_COPYRIGHT})"
39
 echo "${INSTALLER_NAME} ${INSTALLER_VERSION} (${INSTALLER_COPYRIGHT})"
54
 echo $ECHOOPT "---------------"
40
 echo $ECHOOPT "---------------"
55
 echo "Starting installation/update"
41
 echo "Starting installation/update"
56
@@ -467,7 +460,7 @@
42
@@ -470,7 +461,7 @@
57
   if [ -f ${INSTALLPREFIX}${CURFILE} ]
43
   if [ -f ${INSTALLPREFIX}${CURFILE} ]
58
     then
44
     then
59
       #error redirection in .rkhunter it's just for a clear display if user run not as root
45
       #error redirection in .rkhunter it's just for a clear display if user run not as root
Lines 62-68 Link Here
62
       if [ $? -eq 0 ]
48
       if [ $? -eq 0 ]
63
         then
49
         then
64
 	  echo $E "OK"
50
 	  echo $E "OK"
65
@@ -482,10 +475,10 @@
51
@@ -485,10 +476,10 @@
66
  
52
  
67
 done
53
 done
68
 
54
 
Lines 75-81 Link Here
75
     echo "Configuration updated with installation path (${INSTALLDIR})"
61
     echo "Configuration updated with installation path (${INSTALLDIR})"
76
   else
62
   else
77
     echo "Configuration already updated."
63
     echo "Configuration already updated."
78
@@ -495,7 +488,7 @@
64
@@ -498,7 +489,7 @@
79
 then
65
 then
80
 	echo ""
66
 	echo ""
81
 	echo $E "$t17"
67
 	echo $E "$t17"
(-)rkhunter/files/patch-os.dat (-12 lines)
Lines 1-12 Link Here
1
$FreeBSD: ports/security/rkhunter/files/patch-os.dat,v 1.1 2004/07/27 20:28:18 glewis Exp $
2
3
--- files/os.dat.orig	Mon Jul 26 13:37:35 2004
4
+++ files/os.dat	Mon Jul 26 13:38:02 2004
5
@@ -69,6 +69,7 @@
6
 207:OpenBSD 3.4 (i386):/bin/md5:/usr/local/bin:
7
 208:FreeBSD 4.9 (i386):/sbin/md5 -q:/usr/local/bin:
8
 209:FreeBSD 5.2.1 (i386):/sbin/md5 -q:/usr/local/bin:
9
+210:FreeBSD 4.10 (i386):/sbin/md5 -q:/usr/local/bin:
10
 300:Sun Solaris 8 (sparc):/bin/ls:/bin:
11
 400:IBM AIX 5.4:/bin/ls:/bin:
12
 401:IBM AIX 5.3:/bin/ls:/bin:
(-)rkhunter/pkg-plist (+3 lines)
Lines 3-12 Link Here
3
lib/rkhunter/db/backdoorports.dat
3
lib/rkhunter/db/backdoorports.dat
4
lib/rkhunter/db/mirrors.dat
4
lib/rkhunter/db/mirrors.dat
5
lib/rkhunter/db/os.dat
5
lib/rkhunter/db/os.dat
6
lib/rkhunter/db/programs_bad.dat
7
lib/rkhunter/db/programs_good.dat
6
lib/rkhunter/db/defaulthashes.dat
8
lib/rkhunter/db/defaulthashes.dat
7
lib/rkhunter/db/md5blacklist.dat
9
lib/rkhunter/db/md5blacklist.dat
8
lib/rkhunter/scripts/check_modules.pl
10
lib/rkhunter/scripts/check_modules.pl
9
lib/rkhunter/scripts/check_port.pl
11
lib/rkhunter/scripts/check_port.pl
12
lib/rkhunter/scripts/check_update.sh
10
lib/rkhunter/scripts/filehashmd5.pl
13
lib/rkhunter/scripts/filehashmd5.pl
11
lib/rkhunter/scripts/filehashsha1.pl
14
lib/rkhunter/scripts/filehashsha1.pl
12
lib/rkhunter/scripts/showfiles.pl
15
lib/rkhunter/scripts/showfiles.pl

Return to bug 70149